package gn

import (
	gnModel "eta_gn/eta_bridge/models/gn"
	"time"
)

type AddAccountReq struct {
	gnModel.UserEntity `description:"账号信息"`
	RequestId          string    `json:"requestID" description:"请求唯一标识"`
	TimeStamp          time.Time `json:"timeStamp" description:"时间戳"`
}

type ModifyAccountReq struct {
	gnModel.UserEntity `description:"账号信息"`
	RequestId          string    `json:"requestID" description:"请求唯一标识"`
	TimeStamp          time.Time `json:"timeStamp" description:"时间戳"`
}

type DeleteAccountReq struct {
	UserId    string    `json:"userId" description:"用户名"`
	RequestId string    `json:"requestID" description:"请求唯一标识"`
	TimeStamp time.Time `json:"timeStamp" description:"时间戳"`
}

type SuspendAccountReq struct {
	UserId    string    `json:"userId" description:"用户名"`
	RequestId string    `json:"requestID" description:"请求唯一标识"`
	TimeStamp time.Time `json:"timeStamp" description:"时间戳"`
}

type RestoreAccountReq struct {
	UserId    string    `json:"userId" description:"用户名"`
	RequestId string    `json:"requestID" description:"请求唯一标识"`
	TimeStamp time.Time `json:"timeStamp" description:"时间戳"`
}

type ChangePasswordReq struct {
	UserId      string    `json:"userId" description:"用户名"`
	NewPassword string    `json:"newPassword" description:"新密码"`
	RequestId   string    `json:"requestID" description:"请求唯一标识"`
	TimeStamp   time.Time `json:"timeStamp" description:"时间戳"`
}
