package routers

import (
	"eta_gn/eta_bridge/controller/gn"
	"github.com/gin-gonic/gin"
)

func InitGn(r *gin.RouterGroup) {
	control := new(gn.GuoNengController)
	group := r.Group("gn/")
	group.GET("auth/getToken", control.GetToken)
	group.GET("auth/getUserInfo", control.GetUserInfo)

	init4A(r)

	initOA(r)
}

func init4A(r *gin.RouterGroup) {
	control := new(gn.GuoNengController)
	group := r.Group("gn/")
	group.POST("user/add4AUser", control.AddAccount)
	group.POST("user/modify4AUser", control.ModifyAccount)
	group.POST("user/delete4AUser", control.DeleteAccount)
	group.POST("user/suspend4AUser", control.SuspendAccount)
	group.POST("user/restore4AUser", control.RestoreAccount)
	group.POST("user/ChangePassword", control.ChangePassword)
	group.POST("user/syncMdmComstru", control.SyncMdmOrganization)
	group.POST("user/syncMdmEmployee", control.SyncMdmEmployee)
}

func initOA(r *gin.RouterGroup) {
	control := new(gn.GuoNengController)
	group := r.Group("gn/")
	group.POST("oa", control.OA)
}
